# Privacy Policy

## DevHub

### Personal user information
This app requires GitHub authentication.<br/>
DevHub requests access to the user's profile data, e-mail and notifications.

We might contact you via e-mail (rarely) to share things like big updates or important announcements, with the option to unsubscribe any time.

### Repository and org access
You have the option to install DevHub's GitHub App in some specific orgs and repositories.
This is required to enable access to activities from private repositories.

DevHub will have access to issues, pull requests, comments, labels, assignees, milestones, merges, collaborators and some other metadata (e.g. repository name).

DevHub does not have access to any code from any repository.


### Diagnostics information
This app uses [Bugsnag](https://bugsnag.com), [Google Analytics](https://analytics.google.com/) and [Firebase](https://firebase.google.com/) to collect information about crashes and app usage. 
No personal information is ever sent to third parties, only an anonymous id. Services may collect the user's IP. Some device information may be included for debugging purposes, like `brand`, `model` and `operation system`.


### Security & Limited Liability

DevHub follows good practices of security, but 100% security can't be granted in software. DevHub is provided as is without any warranty. Use at your own risk.

Client-side communication is encrypted using HTTPS. Server-side tokens are encrypted or behind environment variables.

We recommend being extra careful with which browser extensions you have installed to avoid token exposure to third parties.


### Support
Feel free to open an issue or contact us via e-mail ([support@devhubapp.com](mailto:support@devhubapp.com)).<br/>
If you find any bug, please contribute by opening an issue or sending a pull request with the fix.

---

Updated: June 06th, 2019.
